/*
	linklib.h  by H.Ogasawara (COR.)
*/

#ifndef	__LINKLIB__
#define	__LINKLIB__

typedef struct	{
		char	*path;
		int	head2;
		char	pathbuf[256-8],
			filesbuf[2];	/* v0.22 54->2 */
		short	change,
			norec;
	}  LINKBUF;

extern struct	{
		int	(*getlinkpath)( char*, LINKBUF * ),
			(*pathcomplete)( char* ),
			(*linkswitch)( int ),
			(*linksetnorec)( int );
	} *linkcall_entry;

extern void	*GetLinkPathEnt( void );
extern int	LinkCallVersion;

/* MACRO */
#define		OpenLinkLib()		((int)(linkcall_entry= GetLinkPathEnt()))
/*extern int	OpenLinkLib( void );*/

#define		GetLinkPath		(*linkcall_entry->getlinkpath)
#define		PathComplete		(*linkcall_entry->pathcomplete)
#define		GetLinkVersion()	(LinkCallVersion)
#define		LinkSwitch		(*linkcall_entry->linkswitch)
#define		LinkSetNorec		(*linkcall_entry->linksetnorec)

#define		DefaultNorec		32

#define		LinkSwitchOFF		0
#define		LinkSwitchON		1

#endif

